- hosts: ansible-for-servers
  become: yes
  gather_facts: yes
  roles:
    - geerlingguy.pip
    - geerlingguy.docker

  vars:
    pip_install_packages:
      - name: docker

  pre_tasks:
    - name: Update and upgrade apt packages
      apt:
        upgrade: yes
        update_cache: yes

  tasks:
    - name: Add the user 'deploy'
      ansible.builtin.user:
        name: deploy
        group: docker

    - name: Add An SSH Key For Docker User
      ansible.posix.authorized_key:
        user: deploy
        state: present
        key: "{{ lookup('file', '/home/genusor/.ssh/id_rsa.pub') }}"


    - name: Log into DockerHub
      become_user: deploy
      community.docker.docker_login:
        username: genusor
        password: "{{ docker_key }}"


    - name: deploy private app
      become_user: deploy
      community.docker.docker_container:
        container_default_behavior: no_defaults
        name: genusor
        image: genusor/devops-example-app:v2
        ports:
          - 5000:5000
        state: started
        env:
          SERVER_MESSAGE: "{{ ansible_host }}"
